Package com.ngrok.services

# Class EventSubscriptions

java.lang.Object
com.ngrok.services.EventSubscriptions

public class EventSubscriptions extends Object
An API client for `EventSubscriptions`. See also https://ngrok.com/docs/api#api-event-subscriptions.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EventSubscriptions.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `EventSubscriptions.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EventSubscriptions.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EventSubscriptions.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `EventSubscriptions.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventSubscriptions(NgrokApiClient apiClient)`
  Creates a new sub-client for EventSubscriptions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSubscriptions.CreateCallBuilder`
  `create()`
  Create an Event Subscription.
  `EventSubscriptions.DeleteCallBuilder`
  `delete(String id)`
  Delete an Event Subscription.
  `EventSubscriptions.GetCallBuilder`
  `get(String id)`
  Get an Event Subscription by ID.
  `EventSubscriptions.ListCallBuilder`
  `list()`
  List this Account's Event Subscriptions.
  `EventSubscriptions.UpdateCallBuilder`
  `update(String id)`
  Update an Event Subscription.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventSubscriptions

    public EventSubscriptions(NgrokApiClient apiClient)
    Creates a new sub-client for EventSubscriptions.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public EventSubscriptions.CreateCallBuilder create()
    Create an Event Subscription. See also https://ngrok.com/docs/api#api-event-subscriptions-create.
    Returns:
      a call builder for this API call

  - ### delete

    public EventSubscriptions.DeleteCallBuilder delete(String id)
    Delete an Event Subscription. See also https://ngrok.com/docs/api#api-event-subscriptions-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public EventSubscriptions.GetCallBuilder get(String id)
    Get an Event Subscription by ID. See also https://ngrok.com/docs/api#api-event-subscriptions-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public EventSubscriptions.ListCallBuilder list()
    List this Account's Event Subscriptions. See also https://ngrok.com/docs/api#api-event-subscriptions-list.
    Returns:
      a call builder for this API call

  - ### update

    public EventSubscriptions.UpdateCallBuilder update(String id)
    Update an Event Subscription. See also https://ngrok.com/docs/api#api-event-subscriptions-update.
    Parameters:
      `id` - Unique identifier for this Event Subscription.
    Returns:
      a call builder for this API call